This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 489989 - step 6 in README doc needs to be updated
step 6 in README doc needs to be updated
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades (Show other bugs)
520
All Linux
low Severity medium
: ---
: ---
Assigned To: Milan Zazrivec
Jeff Browning
:
Depends On:
Blocks: 456986
  Show dependency treegraph
 
Reported: 2009-03-12 15:22 EDT by Preethi Thomas
Modified: 2009-08-27 13:38 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-27 13:38:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2009-03-12 15:22:38 EDT
Description of problem:

2nd part of step 6 in README doc needs to be updated to state this needs to be done for pre 5.0 releases

Version-Release number of selected component (if applicable):
rhn-upgrade-5.2.0-28.el4

How reproducible:

always

Steps to Reproduce:
1. up2date -i on rhn-upgrade on satellite
2.vi /etc/sysconfig/rhn/satellite-upgrade/README
3. go to step6 
  
Actual results:
If using embedded database, run pre-upgrade database scripts. During this
   step oracle oracle database will be restarted. Ensure that all satellite
   services except database are stopped.

   Log in as oracle user and run commands
      cd /etc/sysconfig/rhn/satellite-upgrade/
      export ORACLE_SID=rhnsat
      sqlplus '/ as sysdba' @satellite-pre5.0-system-user-fix.sql
      sqlplus '/ as sysdba' @satellite-oracle-9i-catpatch-fix.sql 

Expected results:

It needs mention that this steps needs to run on pre 5.0 satellites. ( 5.0 or later satellites don't need to run it.)


Additional info:
Comment 1 Milan Zazrivec 2009-03-18 04:30:25 EDT
While this is a good observation, both satellite-pre5.0-system-user-fix.sql
and satellite-oracle-9i-catpatch-fix.sql contain only idempotent changes for
post 5.0 satellites and their execution on these versions does not pose any
harm (ideally nothing will be changed).

I'd like to leave this part unchanged as a "just in case" check.
Comment 2 Jeff Browning 2009-06-16 00:31:30 EDT
Verified.
Comment 3 Milan Zazrivec 2009-07-16 06:28:39 EDT
Actually, Preethi was right all along. These two database upgrade scripts
may be ran safely on all Satellite versions, but the second script,
satellite-oracle-9i-catpatch-fix.sql includes catpatch.sql, which
does not exist in Oracle 10g (Satellite 5.2.0) and running the script
on a 5.2.0 Satellite will print an error into the spool file. Harmless,
but still ...

I added a note into README, step 6 to run these two scripts on Satellite
5.1.1 and older only.

satellite.git SATELLITE-5.3: 992672757da0bf61a20d8569eff0063a9ff4f361
Comment 4 Milan Zazrivec 2009-07-18 03:38:36 EDT
ON_QA: rhn-upgrade-5.3.0.20-1
Comment 5 Jeff Browning 2009-07-21 10:44:03 EDT
Step 6 now says:

6. Ensure the database character sets are set to UTF8 (embedded databases are
   already set as such):
      rhn-charsets
   (and if that script is not available, it is distributed with the
   upgrade documenation and this README: ./rhn-charsets)

   If upgrading from Satellite 5.1.1 or older and using embedded database, run
   pre-upgrade database scripts. During this step oracle database will
   be restarted. Ensure that all satellite services except database are stopped.


Verified.
Comment 6 Miroslav Suchý 2009-08-25 09:27:07 EDT
verified in stage on xen5:
Step 6 from PREPARATIONS FOR ALL UPGRADES state:
...
   If upgrading from Satellite 5.1.1 or older and using embedded database, run
   pre-upgrade database scripts. During this step oracle database will
   be restarted. Ensure that all satellite services except database are stopped.
...
Comment 7 Brandon Perkins 2009-08-27 13:38:14 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1235.html

Note You need to log in before you can comment on or make changes to this bug.